package com.ruoyi.project.sems.his.service.impl;

import java.util.List;

import com.ruoyi.project.sems.domain.TSpecdevCc;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.his.mapper.TSpechiCcMapper;
import com.ruoyi.project.sems.his.domain.TSpechiCc;
import com.ruoyi.project.sems.his.service.ITSpechiCcService;

/**
 * 特种设备叉车台账历史Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-02
 */
@Service("tSpechiCcService")
public class TSpechiCcServiceImpl implements ITSpechiCcService
{
    @Autowired
    private TSpechiCcMapper tSpechiCcMapper;

    /**
     * 查询特种设备叉车台账历史
     *
     * @param id 特种设备叉车台账历史ID
     * @return 特种设备叉车台账历史
     */
    @Override
    public TSpechiCc selectTSpechiCcById(Long id)
    {
        return tSpechiCcMapper.selectTSpechiCcById(id);
    }

    /**
     * 查询特种设备叉车台账历史列表
     *
     * @param tSpechiCc 特种设备叉车台账历史
     * @return 特种设备叉车台账历史
     */
    @Override
    public List<TSpechiCc> selectTSpechiCcList(TSpechiCc tSpechiCc)
    {
        return tSpechiCcMapper.selectTSpechiCcList(tSpechiCc);
    }

    /**
     * 新增特种设备叉车台账历史
     *
     * @param tSpechiCc 特种设备叉车台账历史
     * @return 结果
     */
    @Override
    public int insertTSpechiCc(TSpechiCc tSpechiCc)
    {
        return tSpechiCcMapper.insertTSpechiCc(tSpechiCc);
    }

    @Override
    public int insertTSpechiCcWithDev(TSpecdevCc tSpecdevCc) {
        return tSpechiCcMapper.insertTSpechiCcByDev(tSpecdevCc);
    }

    /**
     * 修改特种设备叉车台账历史
     *
     * @param tSpechiCc 特种设备叉车台账历史
     * @return 结果
     */
    @Override
    public int updateTSpechiCc(TSpechiCc tSpechiCc)
    {
        return tSpechiCcMapper.updateTSpechiCc(tSpechiCc);
    }

    /**
     * 批量删除特种设备叉车台账历史
     *
     * @param ids 需要删除的特种设备叉车台账历史ID
     * @return 结果
     */
    @Override
    public int deleteTSpechiCcByIds(Long[] ids)
    {
        return tSpechiCcMapper.deleteTSpechiCcByIds(ids);
    }

    /**
     * 删除特种设备叉车台账历史信息
     *
     * @param id 特种设备叉车台账历史ID
     * @return 结果
     */
    @Override
    public int deleteTSpechiCcById(Long id)
    {
        return tSpechiCcMapper.deleteTSpechiCcById(id);
    }

    @Override
    public List<TSpechiCc> selectTSpechiCcByReform(Long devId) {
        return tSpechiCcMapper.selectTSpechiCcByReform(devId);
    }

    /**
     * 通过devId删除修改记录
     * @param devId
     * @return
     */
    @Override
    public int deleteTSpechiCcByDevId(Long devId) {
        return tSpechiCcMapper.deleteTSpechiCcByDevId(devId);
    }
}
